#450 Netatalk 3.0 nesting shares doesn't work anymore

None
closed
nobody
None
5
2014-08-25
2012-08-05
Anonymous
No

Weird things happen when you nest shares now.
We had home directories, and inside them we had a Time Machine directory. This was shared too.
But with netatalk 3.0 when the cnid_metad calls getvolbypath to lookup the path for the database, it matches the home directory first and uses that.
So instead of two distinct databases, it simple uses the Homes database. You can see the database notice the inodes are different too.
I can see the same would happen for any nested volumes.

Aug 5 19:44:45 Server cnid_metad[7018]: main: request for volume: /home/jason/Time Machine
Aug 5 19:44:45 Server cnid_metad[7018]: load_volumes: BEGIN
Aug 5 19:44:45 Server cnid_metad[7018]: load_volumes: END
Aug 5 19:44:45 Server cnid_metad[7018]: getvolbypath("/home/jason/Time Machine")
Aug 5 19:44:45 Server cnid_metad[7018]: main: dbpath: /var/netatalk/CNID//jason's home/
Aug 5 19:44:45 Server cnid_metad[7018]: set_dbdir: volume: /home/jason/Time Machine, db path: /var/netatalk/CNID//jason's home/
Aug 5 19:44:45 Server afpd[7021]: write_vec: wrote 48 bytes
Aug 5 19:44:45 Server cnid_metad[7018]: maybe_start_dbd("/home/jason/"): BEGIN
Aug 5 19:44:45 Server afpd[7021]: send_packet: {done}
Aug 5 19:44:45 Server cnid_metad[7018]: maybe_start_dbd: cnid_dbd[7024] already serving
Aug 5 19:44:45 Server cnid_dbd[7024]: comm_rcv: got data on fd 12
Aug 5 19:44:45 Server cnid_dbd[7024]: comm_rcv: got 48 bytes
Aug 5 19:44:45 Server cnid_dbd[7024]: cnid_getstamp: Returning stamp '501ea865'
Aug 5 19:44:45 Server afpd[7021]: dbd_rpc: {done}
Aug 5 19:44:45 Server afpd[7021]: transmit: attached to '/home/jason/Time Machine', stamp: '501ea865'.
Aug 5 19:44:45 Server cnid_dbd[7024]: comm_rcv: got data on fd 12
Aug 5 19:44:45 Server cnid_dbd[7024]: comm_rcv: got 57 bytes
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_add(did:2, '.DS_Store', dev/ino:0x902/0x7e10fc) {start}
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_lookup(): START
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_lookup(name:'.DS_Store', did:2, dev/ino:0x902/0x7e10fc) {devino: 0, didname: 1}
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_lookup(DID:2/'.DS_Store',0x902/0x7e10fc): CNID resolve problem: changed dev/ino
Aug 5 19:44:45 Server cnid_dbd[7024]: cnid_delete: CNID 17 deleted
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_add(did:2, '.DS_Store', dev/ino:0x902/0x7e10fc): {adding to database ...}
Aug 5 19:44:45 Server cnid_dbd[7024]: dbd_add(did:2, '.DS_Store', dev/ino:0x902/0x7e10fc): Added with CNID: 29

Discussion

  • franklahm

    franklahm - 2012-11-01

    Fixed in 3.0.1.

     
  • franklahm

    franklahm - 2012-11-01
    • status: open --> closed
    • milestone: -->
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks